Bug 1471779 - Josm complains when trying to get data from the db
Josm complains when trying to get data from the db
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: josm (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cédric OLIVIER
Fedora Extras Quality Assurance
:
Depends On: 1499456
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 08:28 EDT by Ludovic Hirlimann
Modified: 2017-10-07 11:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ludovic Hirlimann 2017-07-17 08:28:48 EDT
Trying to get data from labastide murat, I get a noice dialog sayoing I need to update.

I also get the following stack trace:
2017-07-17 14:23:42.218 INFO: GET https://josm.openstreetmap.de/wiki/TestedVersion?format=txt -> 200
2017-07-17 14:23:52.980 INFO: Opening URL: https://josm.openstreetmap.de
2017-07-17 14:24:10.641 SEVERE: Handled by bug report queue: java.lang.NoSuchMethodError: org.openstreetmap.josm.plugins.utilsplugin2.actions.CopyTagsAction.getCurrentDataSet()Lorg/openstreetmap/josm/data/osm/DataSet;
java.lang.NoSuchMethodError: org.openstreetmap.josm.plugins.utilsplugin2.actions.CopyTagsAction.getCurrentDataSet()Lorg/openstreetmap/josm/data/osm/DataSet;
	at org.openstreetmap.josm.plugins.utilsplugin2.actions.CopyTagsAction.updateEnabledState(CopyTagsAction.java:69)
	at org.openstreetmap.josm.actions.JosmAction$LayerChangeAdapter.layerRemoving(JosmAction.java:348)
	at org.openstreetmap.josm.gui.layer.LayerManager.fireLayerRemoving(LayerManager.java:422)
	at org.openstreetmap.josm.gui.layer.LayerManager.realRemoveSingleLayer(LayerManager.java:235)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realRemoveSingleLayer(MainLayerManager.java:266)
	at org.openstreetmap.josm.gui.layer.LayerManager.realRemoveLayer(LayerManager.java:228)
	at org.openstreetmap.josm.gui.layer.LayerManager.lambda$removeLayer$1(LayerManager.java:214)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:138)
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayer(LayerManager.java:214)
	at org.openstreetmap.josm.gui.layer.LayerManager.realResetState(LayerManager.java:455)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realResetState(MainLayerManager.java:376)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:138)
	at org.openstreetmap.josm.gui.layer.LayerManager.resetState(LayerManager.java:449)
	at org.openstreetmap.josm.Main.shutdown(Main.java:879)
	at org.openstreetmap.josm.gui.MainApplication.shutdown(MainApplication.java:120)
	at org.openstreetmap.josm.Main.exitJosm(Main.java:858)
	at org.openstreetmap.josm.gui.MainFrame$ExitWindowAdapter.windowClosing(MainFrame.java:162)
	at java.awt.AWTEventMulticaster.windowClosing(AWTEventMulticaster.java:349)
	at java.awt.AWTEventMulticaster.windowClosing(AWTEventMulticaster.java:349)
	at java.awt.Window.processWindowEvent(Window.java:2054)
	at javax.swing.JFrame.processWindowEvent(JFrame.java:305)
	at java.awt.Window.processEvent(Window.java:2013)
	at java.awt.Component.dispatchEventImpl(Component.java:4889)
	at java.awt.Container.dispatchEventImpl(Container.java:2294)
	at java.awt.Window.dispatchEventImpl(Window.java:2746)
	at java.awt.Component.dispatchEvent(Component.java:4711)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:90)
	at java.awt.EventQueue$4.run(EventQueue.java:731)
	at java.awt.EventQueue$4.run(EventQueue.java:729)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

2017-07-17 14:24:11.055 INFO: GET https://josm.openstreetmap.de/wiki/TestedVersion?format=txt -> 200


Current version is 12450 can we get an update ?
Comment 1 Ludovic Hirlimann 2017-09-25 04:26:33 EDT
Cédric anything I can do to help you push a new version ?
Comment 2 Cédric OLIVIER 2017-10-07 11:30:25 EDT
Sorry I haven't got enough time actually.

Josm needs a new version of apache-commons-jcs (2.2 - actually 2.0) 
And apache-commons-jcs needs geronimo-annotation-1.2 (actually 1.0)

Note You need to log in before you can comment on or make changes to this bug.